CobolInteractionSpec (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.CobolInteractionSpec class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class CobolInteractionSpec

    java.lang.Object
      com.microfocus.cobol.connector.cci.CobolInteractionSpec

All Implemented Interfaces:
  InteractionSpec, Serializable

public class CobolInteractionSpec
extends Object
implements InteractionSpec, Serializable

This implementation class holds properties for driving an Interaction with an EIS instance. This class is a Java Bean, hence it supports bound properties.

See Also:
  Serialized Form

Field Summary
`protected int` | `argumentCount`
`protected Vector` | `arguments`
`protected int` | `authenticationMechanism`
`static int` | `CALLER_PRINCIPAL`
`protected PropertyChangeSupport` | `changes`
`protected int` | `executionTimeout`
`protected String` | `functionName`
`protected int` | `interactionVerb`
`protected String` | `password`
`protected String` | `realm`
`protected int` | `returnCode`
`static int` | `UNINITIALIZED`
`protected Vector` | `usages`
`static int` | `USE_USERPWD`
`protected String` | `userName`

Fields inherited from interface javax.resource.cci.InteractionSpec
`SYNC_RECEIVE, SYNC_SEND, SYNC_SEND_RECEIVE`

Constructor Summary
`CobolInteractionSpec()` Create a new CobolInteractionSpec instance.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` add a property change listener.
`Object` | `getArgument(int index)` get an argument.
`int` | `getArgumentCount()` Get argument count.
`int` | `getAuthenticationMechanism()` get authentication mechanism
`int` | `getExecutionTimeout()` Get Execution timeout
`String` | `getFunctionName()` Get the function name to be executed.
`int` | `getInteractionVerb()` Get the interaction verb
`CobolInteractionSpecMetaData` | `getMetaData()` Get CobolInteractionSpecMetaData
`String` | `getPassword()` Get password
`String` | `getRealm()` Get realm
`int` | `getReturnCode()` get return code.
`int` | `getUsage(int index)` get a usage.
`String` | `getUserName()` Get user name.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` remove a property change listener.
`void` | `setArgument(int index, int usage)` set an argument to be held in an interaction spec.
`void` | `setArgument(int index, Object obj)` set an argument to be held in an interaction spec.
`void` | `setArgument(int index, Object obj, int usage)` set an argument to be held in an interaction spec.
`void` | `setArgumentCount(int argumentCount)` set argument count.
`void` | `setAuthenticationMechanism(int am)` set authentication mechanism
`void` | `setFunctionName(String functionName)` set the function name to be executed.
`void` | `setPassword(String password)` set password
`void` | `setRealm(String realm)` set Realm
`void` | `setReturnCode(int returnCode)` set return code.
`void` | `setUserName(String userName)` set user name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### functionName

    protected String functionName

### interactionVerb

    protected int interactionVerb

### executionTimeout

    protected int executionTimeout

### returnCode

    protected int returnCode

### argumentCount

    protected int argumentCount

### arguments

    protected Vector arguments

### usages

    protected Vector usages

### userName

    protected String userName

### password

    protected String password

### realm

    protected String realm

### authenticationMechanism

    protected int authenticationMechanism

### changes

    protected PropertyChangeSupport changes

### USE_USERPWD

    public static final int USE_USERPWD

See Also:
  Constant Field Values

### UNINITIALIZED

    public static final int UNINITIALIZED

See Also:
  Constant Field Values

### CALLER_PRINCIPAL

    public static final int CALLER_PRINCIPAL

See Also:
  Constant Field Values

Constructor Detail

### CobolInteractionSpec

    public CobolInteractionSpec()

  Create a new CobolInteractionSpec instance.

Method Detail

### getFunctionName

    public String getFunctionName()

  Get the function name to be executed.

  Returns:
    The function name

### setFunctionName

    public void setFunctionName(String functionName)

  set the function name to be executed.

  Parameters:
    `functionName` - The function name

### getInteractionVerb

    public int getInteractionVerb()

  Get the interaction verb

  Returns:
    The interaction verb. Only SYNC_SEND_RECEIVE is supported.

### getExecutionTimeout

    public int getExecutionTimeout()

  Get Execution timeout

  Returns:
    The Execution Timeout.

### setReturnCode

    public void setReturnCode(int returnCode)

  set return code.

  Parameters:
    `returnCode` - The return code from Cobol Server.

### getReturnCode

    public int getReturnCode()

  get return code.

  Returns:
    Get the return code from Cobol Server.

### setArgument

    public void setArgument(int index,
                            Object obj)

  set an argument to be held in an interaction spec.

  Parameters:
    `index` - The argument index.
    `obj` - The actual object.

### setArgument

    public void setArgument(int index,
                            Object obj,
                            int usage)

  set an argument to be held in an interaction spec.

  Parameters:
    `index` - The argument index.
    `obj` - The actual object.
    `usage` - The usage for the argument.

### setArgument

    public void setArgument(int index,
                            int usage)

  set an argument to be held in an interaction spec.

  Parameters:
    `index` - The argument index.
    `usage` - The usage for the argument.

### getArgument

    public Object getArgument(int index)

  get an argument.

  Parameters:
    `index` - The argument index
  Returns:
    The actual argument

### getUsage

    public int getUsage(int index)

  get a usage.

  Parameters:
    `index` - The argument index
  Returns:
    The usage

### getArgumentCount

    public int getArgumentCount()

  Get argument count.

  Returns:
    The argument count.

### setArgumentCount

    public void setArgumentCount(int argumentCount)

  set argument count.

  Parameters:
    `argumentCount` - The argument count.

### setUserName

    public void setUserName(String userName)

  set user name

  Parameters:
    `userName` - The user name

### setPassword

    public void setPassword(String password)

  set password

  Parameters:
    `password` - - The password.

### setRealm

    public void setRealm(String realm)

  set Realm

  Parameters:
    `realm` - The realm.

### getUserName

    public String getUserName()

  Get user name.

  Returns:
    The user name.

### getPassword

    public String getPassword()

  Get password

  Returns:
    The password.

### getRealm

    public String getRealm()

  Get realm

  Returns:

### getAuthenticationMechanism

    public int getAuthenticationMechanism()

  get authentication mechanism

  Returns:
    The authentication mechanism. Possible values are UNINITIALIZED USE_USERPWD

### setAuthenticationMechanism

    public void setAuthenticationMechanism(int am)

  set authentication mechanism

  Parameters:
    `am` - The authentication mechanism. UNINITIALIZED USE_USERPWD CALLER_PRINCIPAL

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

  add a property change listener.

  Parameters:
    `l` - - the listener instance.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

  remove a property change listener.

  Parameters:
    `l` - - listener instance.

### getMetaData

    public CobolInteractionSpecMetaData getMetaData()

  Get CobolInteractionSpecMetaData

  Returns:
    CobolInteractionSpecMetaData instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.